-- From "More Damaged Objects [B42]" mod -- Author = carlesturo

-- ------------------------------------------------------------------------------------------------

-- **************** MORE DAMAGED OBJECTS - ON LOADED TILE DEFINITIONS ****************

Events.OnLoadedTileDefinitions.Add(function(manager)
    local sprites = {
		"crafted_04_122",
		"crafted_04_123",
		"crafted_04_124",
		"crafted_04_125",
		"crafted_04_126",
		"crafted_04_127",
    }

    for _, sprite in ipairs(sprites) do
        local props = manager:getSprite(sprite):getProperties()
        props:Set("HitByCar", "")
        props:Set("MinimumCarSpeedDmg", "10")
        props:CreateKeySet()
    end
end)